Webbplatsen använder cookies för att bättre motsvara dina förväntningar. Om du inte accepterar användandet av cookies kan du stänga av det i inställningarna för din webbläsare. Det finns
dock en risk att vissa funktioner på klausen.dyndns.org eller dess underliggande sidor inte kommer att fungera korrekt. Om du accepterar användandet av cookies klicka på gröna knappen nedan.

-först av allt, version 4.3.2 funkar inte med mysql 5.7 och inte heller nyare java än version 8.
-version 4.2.3 funkar med openjdk-8-jdk och mysql 5.7

-i terminalen:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install openjdk-8-jdk
java -version

-du får nu nått liknande nedan på skärmen:
openjdk version "1.8.0_171"
OpenJDK Runtime Environment (build 1.8.0_171-8u171-b11-0ubuntu0.18.04.1-b11)
OpenJDK 64-Bit Server VM (build 25.171-b11, mixed mode)

-steget installera databas hoppar vi över, kör med den inbyggda istället.

-kolla https://www.igniterealtime.org/downloads/index.jsp#openfire för senaste versionen: openfire_4.3.2_all.deb
-i terminal:
wget https://www.igniterealtime.org/downloadServlet?filename=openfire/openfire_4.3.2_all.deb \-O openfire_4.3.2_all.deb
sudo dpkg -i openfire_4.3.2_all.deb

-om din ubuntu kör brandväggen ufw:
sudo ufw enable
for i in 9090 9091 5222 7777; do
sudo ufw allow $i; done

för att gå vidare, gå till sidan http://<server-ip|domain>:9090 och fortsätt med wizarden där.

kom ihåg att välja den inbyggda databasen.. nyare java kommer generera massa error i installationsstegen på hemsidan.. det har att göra med ändringar i java 9 som gör openfire 4.3.2 inkompatibelt med nyare java.